import 'package:flutter/material.dart';
import 'package:custom_radio_grouped_button/custom_radio_grouped_button.dart';

class FormLadebegrenzung extends StatelessWidget {
  const FormLadebegrenzung({super.key});

  @override
  Widget build(BuildContext context) {





//------------------------

    return Container(
      child: Form(
        child:Row(
          mainAxisAlignment: MainAxisAlignment.center,
          children:<Widget> [
            CustomRadioButton(
              elevation: 0,
              absoluteZeroSpacing: true,
              unSelectedColor: Theme.of(context).canvasColor,
              width: 60,
              height: 60,
              buttonLables: const [
                '80',
                "85",
                '90',
                '95',
                "97",
                "100",

              ],
              buttonValues: const [
                "STUDENT",
                "PARENT",
                "TEACHER",
                "4",
                "5",
                "6",
              ],
              buttonTextStyle: const ButtonTextStyle(
                  selectedColor: Colors.white,
                  unSelectedColor: Colors.black,
                  textStyle: TextStyle(fontSize: 16)),
              radioButtonValue: (value) {
                print(value);
              },
              //selectedColor: Theme.of(context).accentColor,
              selectedColor: Theme.of(context).colorScheme.secondary,
            ),

          ],
        ),
      ),
    );
  }
}
